package com.bipt.intelligentapplicationorchestrationservice.mapper;

import com.bipt.intelligentapplicationorchestrationservice.pojo.DatasetEntity;
import com.bipt.intelligentapplicationorchestrationservice.pojo.DatasetPageQueryDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.DatasetVO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface DatasetMapper {

    void updata(DatasetEntity datasetEntity);

    void insert(DatasetEntity datasetEntity);

    Page<DatasetVO> pageQuery(DatasetPageQueryDTO dataSetPageQueryDTO);

    @Select("select * from dataset where dataset_id=#{datasetId}")
    DatasetEntity getById(Long datasetId);

    void deleteBatch(@Param("datasetIds") List<Long> datasetIds);
}
