package com.bipt.intelligentapplicationorchestrationservice.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
/**
 * @author nh
 * @description:模型日志视图对象
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ModelLogVO {
    private Long id;                // 日志id
    private Long modelId;           // 关联模型id
    private String modelName;      //  模型名称
    private String version;       //  模型版本
    private String modelConfig;   //  模型配置
    private Integer logType;        // 日志类型（1，2，3...）
    private String logPath;         // 日志存储路径
    private LocalDateTime logTime;  // 日志生成时间
}

